#!/bin/sh

#   determine Java CLASSPATH
classpath=""
for jar in @l_prefix@/lib/subgit/*.jar; do
    if [ ".$classpath" = . ]; then
        classpath="$jar"
    else
        classpath="$classpath:$jar"
    fi
done

#   run program
exec @l_prefix@/bin/java \
    -cp "$classpath" \
    -Djava.util.logging.config.file=@l_prefix@/etc/subgit/subgit.properties \
    -Dsun.io.useCanonCaches=false \
    org.tmatesoft.translator.SubGit \
    ${1+"$@"}

